## dde-network-core 1.0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde-network-core)

add_subdirectory("src")
add_subdirectory("dcc-network-plugin")
add_subdirectory("tests")
add_subdirectory("example")
add_subdirectory("dock-network-plugin")
add_subdirectory("dde-network-dialog")
add_subdirectory("dss-network-plugin")
add_subdirectory("dss_example")
add_subdirectory("dock-example")
