=== debian/changelog ===
dde-network-core (1.0.7.1-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Tue, 22 Feb 2022 10:13:12 +0800

dde-network-core (1.0.0.1) stable; urgency=medium

 -- donghualin <donghualin@uniontech.com> (1.0.0.1) stable; urgency=medium
