=== debian/changelog ===
dde-network-core (1.0.34-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Mon, 16 May 2022 16:42:08 +0800
