=== debian/control ===
Source: dde-network-core
Section: lib
Priority: optional
Maintainer: donghualin <donghualin@uniontech.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libdframeworkdbus-dev (>= 1.0.2),
               libgsettings-qt-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               libgtest-dev,
               libkf5networkmanagerqt-dev,
               libdtkwidget-dev,
               dde-control-center-dev,
               dde-dock-dev,
               dde-session-shell-dev,
               qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gerrit.uniontech.com/admin/repos/dde-network-core
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/dde-network-core

Package: libdde-network-core
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the library of network
 libdde-network-core module

Package: libdde-network-core-dev
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the interface of networkcode,used for developers
 libdde-network-core-dev module

Package: dcc-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the plugin of network for dde control center
 dcc-network-plugin module

Package: dock-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the plugin of network for dde-dock
 dock-plugin module

Package: dde-network-dialog
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the executable of network
 dde-network-dialog module

Package: dss-network-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the plugin of network for dde-lock
 dss-network-plugin module
