## dde-network-core 1.0.47

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
 set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
+
+set(DDE-Network-Core_INCLUDE_DIRS  "${CMAKE_SOURCE_DIR}/src")
+set(DDE-Network-Core_LIBRARIES  dde-network-core)
 
 add_subdirectory("src")
 add_subdirectory("dcc-network-plugin")
