=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,3 +67,4 @@
 install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}Targets LIBRARY DESTINATION lib)
 install(FILES ${CMAKE_BINARY_DIR}/dde-network-core.pc DESTINATION lib/pkgconfig)
 install(FILES ${INTERFACEFILES} DESTINATION include/libddenetworkcore)
+install(FILES ../config/org.deepin.dde.network.json DESTINATION share/dsg/configs/org.deepin.dde.network)
