=== debian/changelog ===
dde-network-core (1.0.47-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Mon, 27 Jun 2022 10:42:22 +0800
