## dde-network-core 1.0.57

=== dde-network-dialog/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # 启用 qrc 资源文件的支持
 set(CMAKE_AUTORCC ON)
 
-file(GLOB_RECURSE SRCS "*.h" "*.cpp" "../src/*.h" "../src/*.cpp")
+file(GLOB_RECURSE SRCS "*.h" "*.cpp")
 
 find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -26,9 +26,6 @@
 add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
 add_executable(${TARGET_NAME} ${SRCS} network.qrc)
 
-set(NETWORKINTERFACE "../src")
-list(REMOVE_ITEM NETWORKINTERFACE "utils.h")
-
 get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 set(TRY_KF5_LIBRARIES
@@ -41,12 +38,11 @@
 endif()
 
 target_include_directories(${TARGET_NAME} PUBLIC
-    ${NETWORKINTERFACE}
     ${DtkWidget_INCLUDE_DIRS}
     ${Qt5DBus_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
-    #${DDE-Network-Core_INCLUDE_DIRS}
+    ${DDE-Network-Core_INCLUDE_DIRS}
     ${Qt5Network_INCLUDE_DIRS}
     ${KF5_QT_INCLUDE_DIRS}
 )
@@ -57,7 +53,7 @@
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${QGSettings_LIBRARIES}
-    #${DDE-Network-Core_LIBRARIES}
+    ${DDE-Network-Core_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
     ${KF5_QT_LIBRARIES}
     ${Qt5Network_LIBRARIES}
