=== debian/changelog ===
dde-network-core (1.0.57-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Sat, 13 Aug 2022 14:10:38 +0800
