=== debian/changelog ===
dde-network-core (1.0.61-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Sat, 27 Aug 2022 10:37:28 +0800
