=== debian/changelog ===
dde-network-core (1.0.64-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Thu, 15 Sep 2022 13:08:13 +0800
