=== dde-network-dialog/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,6 @@
     ${Qt5Network_LIBRARIES}
 )
 
-install(TARGETS ${TARGET_NAME} DESTINATION bin)
+install(TARGETS ${TARGET_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 # 安装 .qm 文件
-install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${TARGET_NAME}/translations)
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${TARGET_NAME}/translations)
