=== debian/changelog ===
dde-network-core (1.0.69-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Thu, 13 Oct 2022 19:39:49 +0800
