=== debian/changelog ===
dde-network-core (1.1.2-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Thu, 10 Nov 2022 10:39:43 +0800
