=== debian/changelog ===
dde-network-core (1.1.4-1) unstable; urgency=medium

  * update

 -- donghualin <donghualin@uniontech.com>  Fri, 25 Nov 2022 13:21:51 +0800
