=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libgsettings-qt-dev,
                pkg-config,
                qtbase5-dev,
+               qtbase5-private-dev,
                qttools5-dev-tools,
                libgtest-dev,
                libkf5networkmanagerqt-dev,
@@ -45,12 +46,6 @@
 Description: the plugin of network for dde-dock
  dock-plugin module
 
-Package: dde-network-dialog
-Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
-Description: the executable of network
- dde-network-dialog module
-
 Package: dss-network-plugin
 Architecture: any
 Depends: ${misc:Depends},${shlibs:Depends},libdde-network-core (= ${binary:Version})
